GST EVC OTP Request for Return Filing
GET
https://apisandbox.whitebooks.in/authentication/otpforevcThis API is used to send OTP to the users for filing through EVC.
Parameters
query parameters
emailstringrequiredUser Email
gstinstringrequiredGSTIN of the taxpayer
panstringrequiredPan number of the authorised signatory
form_typestringrequiredForm Number
header parameters
gst_usernamestringrequiredGST UserName
state_cdstringrequiredState Code
ip_addressstringrequiredIP Address
txnstringrequiredTransaction
client_idstringrequiredClient ID
client_secretstringrequiredClient Secret
Response
Not Found. If requested entity is not found or if requested API is not found.
Frequently Asked Questions
Requests are submitted via HTTP GET to
/authentication/otpforevc. Required parameters: email (query parameter), gstin (query parameter), pan (query parameter), form_type (query parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). No request body payload is required for this call.For Initiate OTP for EVC (GET
/authentication/otpforevc), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).This API is used to send OTP to the users for filing through EVC.
No example available.